[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: I need Miredo for F10



Robert Moskowitz wrote:
And http://rpmfind.net/linux/rpm2html/search.php?query=miredo&submit=Search+...&system=&arch= only finds it for F9. So I download that anyway and try to do a yum localinstall and it needs:

libcap.so.1

And libcap.so.2 is installed, what to do?

Well, one of number of things things:

1) If the API for libcap.so.2 is backward compatible enough for what you need it for, just put a in symlink linking libcap.so.1 -> libcap.so.2.

2) If the API for libcap.so.2 is incompatible with what your application needs, then you will need to find a .src.rpm for building libpcap.so.1, build it yourself, and install it locally.

	3)  Find an old RPM and install it and hope that it works.

Sometimes there are compatibility versions of libraries available in one or more of the repos, but a "yum search libcap.so.1" for me doesn't find anything.





--
Kevin J. Cummings
kjchome rcn com
cummings kjchome homeip net
cummings kjc386 framingham ma us
Registered Linux User #1232 (http://counter.li.org)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]